<?php

$title = !empty($args) && $args['title'] ? $args['title'] : get_the_archive_title();
$has_breadcrumbs = !empty($args) && $args['has_breadcrumbs'] ? $args['has_breadcrumbs'] : false;
$archive_class = $has_breadcrumbs ? 'archive-entries archive-entries--has-breadcrumbs' : 'archive-entries';

$column = get_option('nmd_archive_column', 'multi');
$is_multi = $column === 'multi';
$main_class = $is_multi ? "main main--multi-column" : "main";
$content_class = $is_multi ? "content content--archive content--archive-multi" : "content content--archive content--archive-single";

?>
<div class="container">
    <div class="archive-contents">
        <div class="archive-head">
            <div class="archive-head__inner">
                <h2 class="archive-head__ttl"><?php echo $title; ?></h2>
            </div>
        </div>
        <div class="content" id="content">
            <?php if ($has_breadcrumbs) : ?>
                <?php get_template_part('includes/article-content/breadcrumbs'); ?>
            <?php endif; ?>
            <div class="wrapper wrapper--archive" id="wrapper">
                <main class="<?php echo $main_class; ?>">
                    <div class="<?php echo $archive_class; ?>">
                        <?php get_template_part('includes/entries'); ?>
                    </div>
                </main>
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>