<?php

$post_thumb = false;

if( has_post_thumbnail() || get_theme_mod('nmd_display_default_eyecatch', false) ) {
    $post_thumb = nmd_get_thumbnail_url(get_the_ID(), 'full');
}

$header_class = $post_thumb ? 'entry-header' : 'entry-header no-thum';

$title = get_the_title();
?>
<header class="<?php echo $header_class; ?>" id="entry-header">
    <?php if ( $post_thumb ) : ?>
        <figure class="entry-header__eyecatch">
            <img src="<?php echo $post_thumb; ?>" alt="<?php echo $title; ?>" />
        </figure>
    <?php endif; ?>
    <div class="entry-header__content">
        <?php if ( is_single() ) : ?>
            <div class="entry-header__label">
                <?php
                    $category = the_category();
                    echo $category;
                ?>
            </div>
        <?php endif; ?>
        <h2 class="entry-header__ttl">
            <?php echo $title; ?>
        </h2>
        <?php if (is_single()) : ?>
            <div class="entry-date">
                <span class="entry-date__post">投稿日：<?php the_time('Y.m.d'); ?></span>
                <span class="entry-date__update">更新日：<?php the_modified_date('Y.m.d') ?></span>
            </div>
        <?php endif; ?>
    </div>
    <div class="entry-header__widgets">
        <?php if (is_active_sidebar('entry-header')) : ?>
            <?php dynamic_sidebar('entry-header'); ?>
        <?php endif; ?>
    </div>
</header>
<?php if (is_single()) : ?>
    <?php get_template_part('includes/article-content/breadcrumbs'); ?>
<?php elseif (is_page()) : ?>
    <?php get_template_part('includes/article-content/breadcrumbs-page'); ?>
<?php endif; ?>
<?php if (get_theme_mod('nmd_share_btn_entry_top', true)) : ?>
    <?php get_template_part('includes/article-content/share'); ?>
<?php endif; ?>