<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( ! function_exists( 'nmd_customizer_register_details' ) ) {
	function nmd_customizer_register_details( $wp_customize ) {
		/**
		 * パネルの追加 =========================================================
		 */
		$wp_customize->add_panel( 'nmd_details_panel', array(
			'title'		=> '[Nomad]詳細設定',
			'priority'	=> 190,
		));
			
        /**
         * 不要な機能を削除する設定
         */
        $wp_customize->add_section( 'nmd_section_remove_function', array(
            'title'			=> '不要な機能を削除',
            'panel'			=> 'nmd_details_panel',
            'priority'		=> 210,
            'description'	=> '不要な機能を削除する設定です。'
        ) );
        $wp_customize->add_setting( 'nmd_unuse_emoji', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_unuse_emoji', array(
            'label'			=> '絵文字関連コードの削除',
            'description'	=> '絵文字を使用しない場合は、こちらにチェックを入れて下さい。',
            'section'		=> 'nmd_section_remove_function',
            'settings'		=> 'nmd_unuse_emoji',
            'type'			=> 'checkbox',
        ) );
        /**
         * headに要素を追加する
         */
        $wp_customize->add_section( 'nmd_section_add_element', array(
            'title'			=> '要素を追加',
            'panel'			=> 'nmd_details_panel',
            'priority'		=> 210,
            'description'	=> 'head,body閉じタグ直前に任意のコードを挿入できます。'
        ) );
        $wp_customize->add_setting( 'nmd_add_element_head', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_add_element_head', array(
            'label'			=> 'headに要素を追加',
            'description'	=> 'headに任意のコードを挿入できます。',
            'section'		=> 'nmd_section_add_element',
            'settings'		=> 'nmd_add_element_head',
            'type'			=> 'textarea',
        ) );
        $wp_customize->add_setting( 'nmd_add_element_footer', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_add_element_footer', array(
            'label'			=> 'body閉じタグ直前に要素を追加',
            'description'	=> 'body閉じタグ直前に任意のコードを挿入できます。',
            'section'		=> 'nmd_section_add_element',
            'settings'		=> 'nmd_add_element_footer',
            'type'			=> 'textarea',
        ) );
        /**
         * 高速化の設定
         */
        $wp_customize->add_section( 'nmd_section_speed_up', array(
            'title'			=> '高速化の設定',
            'panel'			=> 'nmd_details_panel',
            'priority'		=> 210,
            'description'	=> '高速化に関する設定です。'
        ) );
        $wp_customize->add_setting( 'nmd_css_inline', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_css_inline', array(
            'label'			=> 'インラインCSS',
            'description'	=> 'テーマ用のCSSをインラインで読み込みます',
            'section'		=> 'nmd_section_speed_up',
            'settings'		=> 'nmd_css_inline',
            'type'			=> 'checkbox',
        ) );

        $wp_customize->add_setting( 'nmd_lazyload_tw_insta', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_lazyload_tw_insta', array(
            'label'			=> '埋め込みの遅延読み込み',
            'description'	=> '記事内のTwitter・Instagramの埋め込みを遅延読み込みします。',
            'section'		=> 'nmd_section_speed_up',
            'settings'		=> 'nmd_lazyload_tw_insta',
            'type'			=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_disable_web_font', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_disable_web_font', array(
            'label'			=> 'Noto Sans Japaneseの使用を停止します。',
            'description'	=> 'Webフォントの使用を停止して表示を高速化できます。',
            'section'		=> 'nmd_section_speed_up',
            'settings'		=> 'nmd_disable_web_font',
            'type'			=> 'checkbox',
        ) );        
	}
	add_action( 'customize_register', 'nmd_customizer_register_details' );
}

