<?php

/**
 * アドセンス用ショートコード
 */
if ( ! function_exists( 'nmd_adsense_shortcode' ) ){
	function nmd_adsense_shortcode($atts){

		$post_id = get_the_ID();
		$no_ad_value = get_post_meta( $post_id,'no_ad', true );
		$adsense_code = get_option( 'nmd_adsense_shortcode' );

		if ( $no_ad_value !== 'is-off' && ! empty( $adsense_code ) ) {
			$src = false;
			$ins = false;
			if ( !empty( get_option( 'nmd_adsense_available_lazyload', false ) ) ) {
				
				$adsense_code = str_replace( array("\r\n", "\r", "\n"), "", $adsense_code );

				$pattern = '/<script.*?src\s*=\s*[\"|\'](.*?)[\"|\'].*?>/i';
				if ( preg_match( $pattern, $adsense_code, $matches) ) {
					$src = $matches[1];
				}

				$pattern2 = '/<ins.*?<\/ins>/';
				if ( preg_match( $pattern2, $adsense_code, $matches) ) {
					$ins = $matches[0];
				}
			}

			if ( $src && $ins ) {
				$adcode = '<div class="adsense-wrap" data-adsrc="' . $src . '">' . $ins . '</div>';
			} else {
				$adcode = '<div class="adsense-wrap">' . $adsense_code . '</div>';
			}
			return $adcode;
		} else {
			return '';
		}
	}
	add_shortcode('ads', 'nmd_adsense_shortcode');
}